--
-- Patch DML de GRHUM du 15/07/2013 à exécuter depuis le user GRHUM
--
-- Rem : fichier encodé UTF-8

SET DEFINE OFF;

--
--
-- Fichier : 2/2
-- Type : DDL
-- Schema : GRHUM
-- Numero de version : 
-- Date de publication : 15/07/2013
-- Auteur(s) : Cocktail
-- Licence : CeCILL version 2
--
--


WHENEVER SQLERROR EXIT SQL.SQLCODE;
DELETE FROM GRHUM.GD_APPLICATION WHERE APP_STR_ID='GIROFLE';


-- insertion de l'application Girofle
INSERT INTO GRHUM.GD_APPLICATION(APP_ID, DOM_ID, APP_LC, APP_STR_ID) VALUES(GRHUM.GD_APPLICATION_seq.nextval,7,'GIROFLE', 'GIROFLE');

-- insertion des differents droits
INSERT INTO GRHUM.GD_FONCTION (FON_ID, APP_ID, FON_CATEGORIE, FON_ID_INTERNE, FON_LC, FON_DESCRIPTION)
VALUES(grhum.GD_FONCTION_SEQ.NEXTVAL,GRHUM.GD_APPLICATION_seq.CURRVAL,'Girofle','GIROFLE','Acces a Girofle','Acces a Girofle');


INSERT INTO GRHUM.GD_FONCTION (FON_ID, APP_ID, FON_CATEGORIE, FON_ID_INTERNE, FON_LC, FON_DESCRIPTION)
VALUES(grhum.GD_FONCTION_SEQ.NEXTVAL,GRHUM.GD_APPLICATION_seq.CURRVAL,'Maquettage','MAQUETTAGE_TYPE_AP','Acces aux types d''APs','Acces aux types d''APs');

INSERT INTO GRHUM.GD_FONCTION (FON_ID, APP_ID, FON_CATEGORIE, FON_ID_INTERNE, FON_LC, FON_DESCRIPTION)
VALUES(grhum.GD_FONCTION_SEQ.NEXTVAL,GRHUM.GD_APPLICATION_seq.CURRVAL,'Maquettage','MAQUETTAGE_TYPE_AE','Acces aux types d''AEs','Acces aux types d''AEs');

INSERT INTO GRHUM.GD_FONCTION (FON_ID, APP_ID, FON_CATEGORIE, FON_ID_INTERNE, FON_LC, FON_DESCRIPTION)
VALUES(grhum.GD_FONCTION_SEQ.NEXTVAL,GRHUM.GD_APPLICATION_seq.CURRVAL,'Maquettage','MAQUETTAGE_EC','Acces aux ECs','Acces aux ECs');

INSERT INTO GRHUM.GD_FONCTION (FON_ID, APP_ID, FON_CATEGORIE, FON_ID_INTERNE, FON_LC, FON_DESCRIPTION)
VALUES(grhum.GD_FONCTION_SEQ.NEXTVAL,GRHUM.GD_APPLICATION_seq.CURRVAL,'Maquettage','MAQUETTAGE_UE','Acces aux UEs','Acces aux UEs');

INSERT INTO GRHUM.GD_FONCTION (FON_ID, APP_ID, FON_CATEGORIE, FON_ID_INTERNE, FON_LC, FON_DESCRIPTION)
VALUES(grhum.GD_FONCTION_SEQ.NEXTVAL,GRHUM.GD_APPLICATION_seq.CURRVAL,'Maquettage','MAQUETTAGE_RGPT','Acces aux Regroupements','Acces aux Regroupements');

INSERT INTO GRHUM.GD_FONCTION (FON_ID, APP_ID, FON_CATEGORIE, FON_ID_INTERNE, FON_LC, FON_DESCRIPTION)
VALUES(grhum.GD_FONCTION_SEQ.NEXTVAL,GRHUM.GD_APPLICATION_seq.CURRVAL,'Maquettage','MAQUETTAGE_DIPLOME','Acces aux Diplomes','Acces aux Diplomes');

INSERT INTO GRHUM.GD_FONCTION (FON_ID, APP_ID, FON_CATEGORIE, FON_ID_INTERNE, FON_LC, FON_DESCRIPTION)
VALUES(grhum.GD_FONCTION_SEQ.NEXTVAL,GRHUM.GD_APPLICATION_seq.CURRVAL,'Maquettage','MAQUETTAGE_MAQUETTE','Acces a la Maquette de formation','Acces a la Maquette de formation');

INSERT INTO GRHUM.GD_FONCTION (FON_ID, APP_ID, FON_CATEGORIE, FON_ID_INTERNE, FON_LC, FON_DESCRIPTION)
VALUES(grhum.GD_FONCTION_SEQ.NEXTVAL,GRHUM.GD_APPLICATION_seq.CURRVAL,'Modelisation','MODELISATION_MODEL','Acces a la modelisation d''un diplome','Acces a la modelisation d''un diplome');

INSERT INTO GRHUM.GD_FONCTION (FON_ID, APP_ID, FON_CATEGORIE, FON_ID_INTERNE, FON_LC, FON_DESCRIPTION)
VALUES(grhum.GD_FONCTION_SEQ.NEXTVAL,GRHUM.GD_APPLICATION_seq.CURRVAL,'Modelisation','MODELISATION_SYL_DIP','Acces au syllabus d''un diplome','Acces au syllabus d''un diplome');

INSERT INTO GRHUM.GD_FONCTION (FON_ID, APP_ID, FON_CATEGORIE, FON_ID_INTERNE, FON_LC, FON_DESCRIPTION)
VALUES(grhum.GD_FONCTION_SEQ.NEXTVAL,GRHUM.GD_APPLICATION_seq.CURRVAL,'Modelisation','MODELISATION_SYL_CMP','Acces au syllabus d''un composant','Acces au syllabus d''un composant');

COMMIT;
